This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 31844

Summary: XMLSettingsSupport does not check for null return value from methodvalue instances
Product: platform Reporter: Jesse Glick <jglick>
Component: -- Other --Assignee: Jesse Glick <jglick>
Status: VERIFIED FIXED    
Severity: blocker CC: dkonecny
Priority: P3 Keywords: SIMPLEFIX
Version: 3.x   
Hardware: PC   
OS: Linux   
Issue Type: DEFECT Exception Reporter:
Bug Depends on:    
Bug Blocks: 31843    

Description Jesse Glick 2003-03-10 22:58:44 UTC
Causing it to violate the
InstanceCookie.instanceCreate contract by
returning null sometimes. See e.g. BT #4827173.
Comment 1 Jesse Glick 2003-03-10 22:59:26 UTC
Have patch. Will apply for 4.0; you can decide whether to merge to 3.5
or not.
Comment 2 Jesse Glick 2003-03-11 19:24:28 UTC
committed   * Up-To-Date  1.13       
core/settings/src/org/netbeans/modules/settings/convertors/XMLSettingsSupport.java
committed   * Up-To-Date  1.17       
core/src/org/netbeans/core/projects/XMLSettingsSupport.java
Comment 3 David Konecny 2003-03-12 10:47:46 UTC
Thanx. No need to merge to 3.5 I guess.
Comment 4 Marian Mirilovic 2005-07-13 13:24:59 UTC
closed